%define version 0.6.2
%define name kisocd
%define prefix %{_prefix}

Name: %{name}
Summary: CD-burning-frontend to cdrecord and mkisofs.
Summary(fr): Kisocd est une interface graphique pour mkisofs et cdrecord.
Version: %{version}
Release: 4mdk
Source: %{name}-%{version}.tar.bz2
Source1: kisocd
Patch0: kisocd-remove-hardcoded-libraries.patch.bz2
URL: http://www.uni-karlsruhe.de/~um12/en/kisocdI_index.html
Group: Archiving/Cd burning
Copyright: GPL
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: qt >= 1.44 qt-egcs-10x mandrake-release >= 7.0 cdrecord mkisofs
Prefix: %{_prefix}

%description
KisoCD is a CD-burning-frontend to cdrecord and mkisofs. Using it, creating CDs
which are more than a copy of your harddisk becomes fun. You get a complete
preview of your CD, do the work using drag'n'drop; it nearly behaves like a
filemanager. Of course you can burn on-the-fly or create images before, just
how you like it. In contrast to other frontends you can very easily create
multisession- and bootable CDs.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch0 -p0

%build
export QTDIR=%{_libdir}/qt
export KDEDIR=%{_libdir}/kde1-compat
export CFLAGS="$RPM_OPT_FLAGS" 
export CXXFLAGS="$RPM_OPT_FLAGS"

./configure %{_target_cpu}-mandrake-linux --prefix=%{_prefix} --with-install-root=$RPM_BUILD_ROOT

make KDEDIR=$KDEDIR

%install
make bindir=$RPM_BUILD_ROOT/%{_bindir} kde_bindir=$RPM_BUILD_ROOT%{_bindir} \
kde_htmldir=$RPM_BUILD_ROOT/%{_datadir}/doc/kde1/HTML kde_icondir=$RPM_BUILD_ROOT/%{_iconsdir} \
kde_mimedir=$RPM_BUILD_ROOT/%{_datadir}/mimelnk kde_minidir=$RPM_BUILD_ROOT/%{_miconsdir} install

install -m 755 -d $RPM_BUILD_ROOT%{_menudir}
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_menudir}

(cd $RPM_BUILD_ROOT; find usr/lib/kde1-compat/share/locale -type f -print) | perl -ne 'print "%lang($1) /$_" if m|/locale/(..)|' > %{name}.lang

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%{_docdir}/kde1/HTML/*/kisocd/
%{_bindir}/*
%{_libdir}/kde1-compat/share/apps/kisocd/pics/
%{_iconsdir}/*.xpm
%{_miconsdir}/*.xpm
%{_menudir}/*

%changelog
* Wed Sep  6 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.6.2-4mdk
- fixed %%find_lang for Lord of the Blonds

* Wed Sep  6 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.6.2-3mdk
- rebuild to fix locale location

* Tue Sep  5 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.6.2-2mdk
- kde1-compat

* Sun Jun 11 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.6.2-1mdk
- 0.6.2
- reincluded the patch thrown away without reason

* Wed May 10 2000 Warly <warly@mandrakesoft.com> 0.6.0-1mdk
- 0.6.0

* Fri Apr 28 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5.7-3mdk
- patched menu entry

* Mon Apr 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5.7-2mdk
- patch to remove hardcoded rpath
- fixed too much directory owns

* Mon Apr 10 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5.7-1mdk
- 0.5.7
- added dependency to cdrecord and mkisofs

* Fri Mar 31 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5.6-1mdk
- 0.5.6
- new groups
- menu entry
- fixed url

* Wed Aug 26 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 0.4.3

* Tue Aug 10 1999 Emmanuel Pare <ep@linux-mandrake.com>
- 0.4
- First RPM build for Mandrake.

